View Issue Details

IDProjectCategoryView StatusLast Update
0016181mantisbtapi soappublic2015-08-02 05:38
ReporterJeromyK Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status acknowledgedResolutionopen 
Product Version1.2.15 
Summary0016181: Setting up a connection between SAP R3 and Mantis with SOAP doesn't work
Description

Hello everybody

I tried to interconnect SAP with Mantis and have some problems to do that. This problems isn't that important for me, so it can take a long time until I have time to really fix it... so I provide all informations that I have. Maybe somebody has higher knowledge in WSDL and can fix it easy

If I try to set a client proxy, I resceive the following error: <slibfault:text>Unknown namespace http://schemas.xmlsoap.org/soap/encoding/&lt;/slibfault:text>

Additional Information

The WSDL document must fit version 1.1 or 2.0 of the W3C WSDL standard
-> http://www.w3.org/TR/wsdl
-> http://www.w3.org/TR/wsdl20

The mantis WSDL-XML is specified as XML version 1.0. In this version, it's only allowed to use "literal" binding for the "use"-attribut
-> http://www.ws-i.org/Profiles/BasicProfile-1.0-2004-04-16.html -> 5.6.4. Encodings and the use Attribute - R2706.

The Profile prohibits the use of encodings, including the SOAP encoding.
R2706 A wsdl:binding in a DESCRIPTION MUST use the value of "literal" for the use attribute in all soapbind:body, soapbind:fault, soapbind:header and soapbind:headerfault elements.

TagsNo tags attached.

Activities

JeromyK

JeromyK

2013-07-15 11:18

reporter   ~0037471

If someone has a idea how I can fix that, it would be a pleasure for me to test that on our SAP Testenvironment.

rombert

rombert

2013-07-29 16:15

reporter   ~0037559

I unfortunately have no idea - but if you can attach

<ol><li>A message generated by MantisBT and rejected by SAP</li><li>A message tweaked to be accepted by SAP</li></ol>

I can try and fix this in MantisBT.

JeromyK

JeromyK

2013-07-30 04:56

reporter   ~0037564

I tried to tweak the MantisBT-WSDL to work, but failed on that task for the first time. So I add a WSDL-File, that works with SAP, maybe you can extcract some information.

JeromyK

JeromyK

2013-07-30 04:57

reporter  

helloworld.wsdl (1,776 bytes)   
<?xml version="1.0"?>
<wsdl:definitions 
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:hy="http://www.herongyang.com/Service/"
  targetNamespace="http://www.herongyang.com/Service/">

  <wsdl:types>
    <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
      targetNamespace="http://www.herongyang.com/Service/">
      <xsd:element name="HelloRequest" type="xsd:string"/>
      <xsd:element name="HelloResponse" type="xsd:string"/>
    </xsd:schema>
  </wsdl:types>

  <wsdl:message name="helloInputMessage">
    <wsdl:part name="helloInputPart" element="hy:HelloRequest"/>
  </wsdl:message>
  <wsdl:message name="helloOutputMessage">
    <wsdl:part name="helloOutputPart" element="hy:HelloResponse"/>
  </wsdl:message>

  <wsdl:portType name="helloPortType">
    <wsdl:operation name="Hello">
      <wsdl:input name="helloInput"
        message="hy:helloInputMessage"/>
      <wsdl:output name="helloOutput"
        message="hy:helloOutputMessage"/>
    </wsdl:operation>
  </wsdl:portType>

  <wsdl:binding name="helloBinding" type="hy:helloPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="Hello">
      <soap:operation
        soapAction="http://www.herongyang.com/Service/Hello"/>
      <wsdl:input name="helloInput">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="helloOutput">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:service name="helloService">
    <wsdl:port name="helloPort" binding="hy:helloBinding">
      <soap:address
location="http://www.herongyang.com/Service/Hello_SOAP_11.php"/>
    </wsdl:port>
  </wsdl:service>

</wsdl:definitions>
helloworld.wsdl (1,776 bytes)   
rombert

rombert

2013-08-04 10:55

reporter   ~0037615

The issue here is that we use the RPC/encoded style of web services, which is not supported by SAP, as RPC/encoded is not WS-I compliant. However, since backwards compatibility might be affected I need to research a little bit before e.g. using RPC/literal.

All in all, not likely to happen very soon without a contribution.

janewar

janewar

2013-10-18 04:27

reporter   ~0038303

I want to mantis send to message to sap .how do it.

JeromyK

JeromyK

2015-08-02 05:38

reporter   ~0051169

(janewars comment is old, but maybe somebody will search the same question)

We simple use a SAP class to analyse job logs and send a email to mantis.

Issue History

Date Modified Username Field Change
2013-07-15 11:17 JeromyK New Issue
2013-07-15 11:18 JeromyK Note Added: 0037471
2013-07-29 16:15 rombert Note Added: 0037559
2013-07-29 16:24 atrol Status new => feedback
2013-07-30 04:56 JeromyK Note Added: 0037564
2013-07-30 04:56 JeromyK Status feedback => new
2013-07-30 04:57 JeromyK File Added: helloworld.wsdl
2013-08-04 10:55 rombert Note Added: 0037615
2013-08-04 10:55 rombert Status new => acknowledged
2013-08-04 10:55 rombert Description Updated View Revisions
2013-08-04 10:55 rombert Additional Information Updated View Revisions
2013-08-14 08:36 MishaMart Issue cloned: 0016313
2013-08-16 04:38 hero2289 Tag Attached: closed
2013-08-16 06:33 atrol Tag Detached: closed
2013-10-18 04:27 janewar Note Added: 0038303
2015-08-02 05:38 JeromyK Note Added: 0051169